National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2010-3682 Detail

Current Description

Oracle MySQL 5.1 before 5.1.49 and 5.0 before 5.0.92 allows remote authenticated users to cause a denial of service (mysqld daemon crash) by using EXPLAIN with crafted "SELECT ... UNION ... ORDER BY (SELECT ... WHERE ...)" statements, which triggers a NULL pointer dereference in the Item_singlerow_subselect::store function.

Source:  MITRE
Description Last Modified:  01/11/2011
View Analysis Description

Evaluator Description

Per: http://cwe.mitre.org/data/definitions/476.html 'CWE-476: NULL Pointer Dereference'

Impact

CVSS v2.0 Severity and Metrics:

Base Score: 4.0 MEDIUM
Vector: (AV:N/AC:L/Au:S/C:N/I:N/A:P) (V2 legend)
Impact Subscore: 2.9
Exploitability Subscore: 8.0


Access Vector (AV): Network
Access Complexity (AC): Low
Authentication (AU): Single
Confidentiality (C): None
Integrity (I): None
Availability (A): Partial
Additional Information:
Allows disruption of service

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://bugs.mysql.com/bug.php?id=52711 Exploit Patch
http://dev.mysql.com/doc/refman/5.0/en/news-5-0-92.html
http://dev.mysql.com/doc/refman/5.1/en/news-5-1-49.html
http://lists.apple.com/archives/security-announce/2011//Jun/msg00000.html
http://lists.opensuse.org/opensuse-security-announce/2010-10/msg00006.html
http://support.apple.com/kb/HT4723
http://www.debian.org/security/2011/dsa-2143
http://www.mandriva.com/security/advisories?name=MDVSA-2010:155
http://www.mandriva.com/security/advisories?name=MDVSA-2010:222
http://www.mandriva.com/security/advisories?name=MDVSA-2011:012
http://www.openwall.com/lists/oss-security/2010/09/28/10 Exploit Patch
http://www.redhat.com/support/errata/RHSA-2010-0825.html Vendor Advisory
http://www.redhat.com/support/errata/RHSA-2011-0164.html
http://www.securityfocus.com/bid/42599
http://www.turbolinux.co.jp/security/2011/TLSA-2011-3j.txt
http://www.ubuntu.com/usn/USN-1017-1
http://www.ubuntu.com/usn/USN-1397-1
http://www.vupen.com/english/advisories/2011/0105 Vendor Advisory
http://www.vupen.com/english/advisories/2011/0133 Vendor Advisory
http://www.vupen.com/english/advisories/2011/0170 Vendor Advisory
http://www.vupen.com/english/advisories/2011/0345 Vendor Advisory
https://bugzilla.redhat.com/show_bug.cgi?id=628328 Exploit Patch
https://exchange.xforce.ibmcloud.com/vulnerabilities/64684

Technical Details

Vulnerability Type (View All)

Vulnerable software and versions Switch to CPE 2.3

Configuration 1
OR
cpe:/a:mysql:mysql:5.1.1
cpe:/a:mysql:mysql:5.1.2
cpe:/a:mysql:mysql:5.1.3
cpe:/a:mysql:mysql:5.1.4
cpe:/a:mysql:mysql:5.1.10
cpe:/a:mysql:mysql:5.1.11
cpe:/a:mysql:mysql:5.1.12
cpe:/a:mysql:mysql:5.1.13
cpe:/a:mysql:mysql:5.1.14
cpe:/a:mysql:mysql:5.1.15
cpe:/a:mysql:mysql:5.1.16
cpe:/a:mysql:mysql:5.1.17
cpe:/a:mysql:mysql:5.1.18
cpe:/a:mysql:mysql:5.1.19
cpe:/a:mysql:mysql:5.1.20
cpe:/a:mysql:mysql:5.1.21
cpe:/a:mysql:mysql:5.1.22
cpe:/a:mysql:mysql:5.1.23
cpe:/a:mysql:mysql:5.1.23:a
cpe:/a:mysql:mysql:5.1.23_bk
cpe:/a:mysql:mysql:5.1.23a
cpe:/a:mysql:mysql:5.1.24
cpe:/a:mysql:mysql:5.1.25
cpe:/a:mysql:mysql:5.1.26
cpe:/a:mysql:mysql:5.1.27
cpe:/a:mysql:mysql:5.1.28
cpe:/a:mysql:mysql:5.1.29
cpe:/a:mysql:mysql:5.1.30
cpe:/a:mysql:mysql:5.1.31
cpe:/a:mysql:mysql:5.1.31:sp1
cpe:/a:mysql:mysql:5.1.32
cpe:/a:mysql:mysql:5.1.32-bzr
cpe:/a:mysql:mysql:5.1.33
cpe:/a:mysql:mysql:5.1.34
cpe:/a:mysql:mysql:5.1.34:sp1
cpe:/a:mysql:mysql:5.1.35
cpe:/a:mysql:mysql:5.1.36
cpe:/a:mysql:mysql:5.1.37
cpe:/a:mysql:mysql:5.1.37:sp1
cpe:/a:mysql:mysql:5.1.38
cpe:/a:mysql:mysql:5.1.39
cpe:/a:mysql:mysql:5.1.40
cpe:/a:mysql:mysql:5.1.40:sp1
cpe:/a:mysql:mysql:5.1.41
cpe:/a:mysql:mysql:5.1.42
cpe:/a:mysql:mysql:5.1.43
cpe:/a:mysql:mysql:5.1.43:sp1
cpe:/a:mysql:mysql:5.1.44
cpe:/a:mysql:mysql:5.1.45
cpe:/a:mysql:mysql:5.1.46
cpe:/a:mysql:mysql:5.1.46:sp1
cpe:/a:mysql:mysql:5.1.47
cpe:/a:mysql:mysql    versions up to (including) 5.1.48
Configuration 2
OR
cpe:/a:mysql:mysql:5.0.0
cpe:/a:mysql:mysql:5.0.0:alpha
cpe:/a:mysql:mysql:5.0.1
cpe:/a:mysql:mysql:5.0.1a
cpe:/a:mysql:mysql:5.0.2
cpe:/a:mysql:mysql:5.0.10
cpe:/a:mysql:mysql:5.0.10a
cpe:/a:mysql:mysql:5.0.11
cpe:/a:mysql:mysql:5.0.12
cpe:/a:mysql:mysql:5.0.13
cpe:/a:mysql:mysql:5.0.14
cpe:/a:mysql:mysql:5.0.15
cpe:/a:mysql:mysql:5.0.15a
cpe:/a:mysql:mysql:5.0.16
cpe:/a:mysql:mysql:5.0.16a
cpe:/a:mysql:mysql:5.0.17
cpe:/a:mysql:mysql:5.0.17a
cpe:/a:mysql:mysql:5.0.18
cpe:/a:mysql:mysql:5.0.19
cpe:/a:mysql:mysql:5.0.20
cpe:/a:mysql:mysql:5.0.20a
cpe:/a:mysql:mysql:5.0.21
cpe:/a:mysql:mysql:5.0.22
cpe:/a:mysql:mysql:5.0.24
cpe:/a:mysql:mysql:5.0.27
cpe:/a:mysql:mysql:5.0.28
cpe:/a:mysql:mysql:5.0.30
cpe:/a:mysql:mysql:5.0.30:sp1
cpe:/a:mysql:mysql:5.0.32
cpe:/a:mysql:mysql:5.0.33
cpe:/a:mysql:mysql:5.0.34
cpe:/a:mysql:mysql:5.0.36
cpe:/a:mysql:mysql:5.0.36:sp1
cpe:/a:mysql:mysql:5.0.37
cpe:/a:mysql:mysql:5.0.38
cpe:/a:mysql:mysql:5.0.40
cpe:/a:mysql:mysql:5.0.41
cpe:/a:mysql:mysql:5.0.42
cpe:/a:mysql:mysql:5.0.44
cpe:/a:mysql:mysql:5.0.44:sp1
cpe:/a:mysql:mysql:5.0.45
cpe:/a:mysql:mysql:5.0.46
cpe:/a:mysql:mysql:5.0.48
cpe:/a:mysql:mysql:5.0.50
cpe:/a:mysql:mysql:5.0.51:a
cpe:/a:mysql:mysql:5.0.51:b
cpe:/a:mysql:mysql:5.0.52
cpe:/a:mysql:mysql:5.0.54
Showing 100 of 137 CPEs, view all CPEs here.

Denotes Vulnerable Software
Are we missing a CPE here? Please let us know.

Change History

3 change records found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2010-3682
NVD Published Date:
01/11/2011
NVD Last Modified:
01/04/2018